Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Interface MessageContext

All Known Subinterfaces:
  SOAPMessageContext

public interface MessageContext

The interface `MessageContext` abstracts the message context that is processed by a handler in the `handle` method.

The `MessageContext` interface provides methods to manage a property set. `MessageContext` properties enable handlers in a handler chain to share processing related state.

Version:
  1.1
Author:
  Rahul Sharma, Roberto Chinnici
See Also:
  `Handler`

Method Summary
`boolean` | `containsProperty(java.lang.String name)` Returns true if the `MessageContext` contains a property with the specified name.
`java.lang.Object` | `getProperty(java.lang.String name)` Gets the value of a specific property from the `MessageContext`
`java.util.Iterator` | `getPropertyNames()` Returns an Iterator view of the names of the properties in this `MessageContext`
`void` | `removeProperty(java.lang.String name)` Removes a property (name-value pair) from the `MessageContext`
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the name and value of a property associated with the `MessageContext`.

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Sets the name and value of a property associated with the `MessageContext`. If the `MessageContext` contains a value of the same property, the old value is replaced.

  Parameters:
    `name` - Name of the property associated with the `MessageContext`
    `value` - Value of the property
  Throws:
    `java.lang.IllegalArgumentException` - If some aspect of the property is prevents it from being stored in the context
    `java.lang.UnsupportedOperationException` - If this method is not supported.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Gets the value of a specific property from the `MessageContext`

  Parameters:
    `name` - Name of the property whose value is to be retrieved
  Returns:
    Value of the property
  Throws:
    `java.lang.IllegalArgumentException` - if an illegal property name is specified

### removeProperty

    public void removeProperty(java.lang.String name)

  Removes a property (name-value pair) from the `MessageContext`

  Parameters:
    `name` - Name of the property to be removed
  Throws:
    `java.lang.IllegalArgumentException` - if an illegal property name is specified

### containsProperty

    public boolean containsProperty(java.lang.String name)

  Returns true if the `MessageContext` contains a property with the specified name.

  Parameters:
    `name` - Name of the property whose presense is to be tested
  Returns:
    Returns true if the MessageContext contains the property; otherwise false

### getPropertyNames

    public java.util.Iterator getPropertyNames()

  Returns an Iterator view of the names of the properties in this `MessageContext`

  Returns:
    Iterator for the property names

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.